package nc.vo.hi.cloud.train;

import com.fasterxml.jackson.annotation.JsonProperty;

import nc.vo.pub.SuperVO;
import nc.vo.pub.lang.UFDouble;

/**
 * 学习计划执行明细
 * @author chenzf
 * @date 2022-4-20 16:20:14
 *
 */
public class CloudPlanDetailVO extends SuperVO {
	private String pk_plan_detail;
	private String planID;//学习计划id
	private String userId;//用户id
	private String userName;//用户账号
	private String userNo;//用户工号
	private String thirdSystemUserNo;//用户第三方id
	private String planName;//计划名称
	@JsonProperty(value = "status")
	private String planStatus;//状态status：未学习NoStart；学习中Studying；已完成 Completed
	private String userKnowledgeId;//用户知识id
	private String masterTitle;//知识/考试名称（如果是课程包内知识，则名称是 "[课程包]课程"）
	private UFDouble actualStudyScore;//实际获得学分
	private String lastStudyTime;//最后一次学习时间
	private UFDouble studySchedule;//学习进度
	private String actualFinishDate;//实际完成时间
	private UFDouble examTotalScore;//试卷总分
	private String examScore;//考试得分
	private String isPassed;//是否通过
	private String actualStudyHours;//实际学时（分钟）
	private String knowledgeid;//知识id/考试安排id
	private String packageDetailKnowledgeId;//知识id/考试安排id(课程包里的)
	private String standardstudyscore;//标准学分
	private String standardstudyhours;//标准学时（分钟）
	private String filetype;//文件类型：程序定义枚举(Article、PPT、Word、Video、SourceCode、PDF、Excel、CoursePackage、XuanYes、Image、EBookCourse)其中 CoursePackage代表课程包 OteExam代表考试
	private String actualEndDate;//计划实际结束时间
	private String actualStartDate;//计划实际开始时间
	private String teacherCname;//讲师名称
	
	public static final String PK_PLAN_DETAIL = "pk_plan_detail";
	public static final String PLANID = "planID";
	public static final String USERID = "userId";
	public static final String USERNAME = "userName";
	public static final String USERNO = "userNo";
	public static final String THIRDSYSTEMUSERNO = "thirdSystemUserNo";
	public static final String PLANNAME = "planName";
	public static final String PLANSTATUS = "planStatus";
	public static final String USERKNOWLEDGEID = "userKnowledgeId";
	public static final String MASTERTITLE = "masterTitle";
	public static final String ACTUALSTUDYSCORE = "actualStudyScore";
	public static final String LASTSTUDYTIME = "lastStudyTime";
	public static final String STUDYSCHEDULE = "studySchedule";
	public static final String ACTUALFINISHDATE = "actualFinishDate";
	public static final String EXAMTOTALSCORE = "examTotalScore";
	public static final String EXAMSCORE = "examScore";
	public static final String ISPASSED = "isPassed";
	public static final String ACTUALSTUDYHOURS = "actualStudyHours";
	public static final String KNOWLEDGEID = "knowledgeid";
	public static final String PACKAGEDETAILKNOWLEDGEID = "packageDetailKnowledgeId";
	public static final String STANDARDSTUDYSCORE = "standardstudyscore";
	public static final String STANDARDSTUDYHOURS = "standardstudyhours";
	public static final String FILETYPE = "filetype";
	public static final String ACTUALENDDATE = "actualEndDate";
	public static final String ACTUALSTARTDATE = "actualStartDate";
	public static final String TEACHERCNAME = "teacherCname";
	
	public String getPk_plan_detail() {
		return pk_plan_detail;
	}
	public void setPk_plan_detail(String pk_plan_detail) {
		this.pk_plan_detail = pk_plan_detail;
	}
	public String getPlanID() {
		return planID;
	}
	public void setPlanID(String planID) {
		this.planID = planID;
	}
	public String getUserId() {
		return userId;
	}
	public void setUserId(String userId) {
		this.userId = userId;
	}
	public String getUserName() {
		return userName;
	}
	public void setUserName(String userName) {
		this.userName = userName;
	}
	public String getUserNo() {
		return userNo;
	}
	public void setUserNo(String userNo) {
		this.userNo = userNo;
	}
	public String getThirdSystemUserNo() {
		return thirdSystemUserNo;
	}
	public void setThirdSystemUserNo(String thirdSystemUserNo) {
		this.thirdSystemUserNo = thirdSystemUserNo;
	}
	public String getPlanName() {
		return planName;
	}
	public void setPlanName(String planName) {
		this.planName = planName;
	}
	public String getPlanStatus() {
		return planStatus;
	}
	public void setPlanStatus(String planStatus) {
		this.planStatus = planStatus;
	}
	public String getUserKnowledgeId() {
		return userKnowledgeId;
	}
	public void setUserKnowledgeId(String userKnowledgeId) {
		this.userKnowledgeId = userKnowledgeId;
	}
	public String getMasterTitle() {
		return masterTitle;
	}
	public void setMasterTitle(String masterTitle) {
		this.masterTitle = masterTitle;
	}
	public UFDouble getActualStudyScore() {
		return actualStudyScore;
	}
	public void setActualStudyScore(UFDouble actualStudyScore) {
		this.actualStudyScore = actualStudyScore;
	}
	public String getLastStudyTime() {
		return lastStudyTime;
	}
	public void setLastStudyTime(String lastStudyTime) {
		this.lastStudyTime = lastStudyTime;
	}
	public UFDouble getStudySchedule() {
		return studySchedule;
	}
	public void setStudySchedule(UFDouble studySchedule) {
		this.studySchedule = studySchedule;
	}
	public String getActualFinishDate() {
		return actualFinishDate;
	}
	public void setActualFinishDate(String actualFinishDate) {
		this.actualFinishDate = actualFinishDate;
	}
	public UFDouble getExamTotalScore() {
		return examTotalScore;
	}
	public void setExamTotalScore(UFDouble examTotalScore) {
		this.examTotalScore = examTotalScore;
	}
	public String getExamScore() {
		return examScore;
	}
	public void setExamScore(String examScore) {
		this.examScore = examScore;
	}
	public String getIsPassed() {
		return isPassed;
	}
	public void setIsPassed(String isPassed) {
		this.isPassed = isPassed;
	}
	public String getActualStudyHours() {
		return actualStudyHours;
	}
	public void setActualStudyHours(String actualStudyHours) {
		this.actualStudyHours = actualStudyHours;
	}
	public String getKnowledgeid() {
		return knowledgeid;
	}
	public void setKnowledgeid(String knowledgeid) {
		this.knowledgeid = knowledgeid;
	}
	public String getPackageDetailKnowledgeId() {
		return packageDetailKnowledgeId;
	}
	public void setPackageDetailKnowledgeId(String packageDetailKnowledgeId) {
		this.packageDetailKnowledgeId = packageDetailKnowledgeId;
	}
	public String getStandardstudyscore() {
		return standardstudyscore;
	}
	public void setStandardstudyscore(String standardstudyscore) {
		this.standardstudyscore = standardstudyscore;
	}
	public String getStandardstudyhours() {
		return standardstudyhours;
	}
	public void setStandardstudyhours(String standardstudyhours) {
		this.standardstudyhours = standardstudyhours;
	}
	public String getFiletype() {
		return filetype;
	}
	public void setFiletype(String filetype) {
		this.filetype = filetype;
	}
	public String getActualEndDate() {
		return actualEndDate;
	}
	public void setActualEndDate(String actualEndDate) {
		this.actualEndDate = actualEndDate;
	}
	public String getActualStartDate() {
		return actualStartDate;
	}
	public void setActualStartDate(String actualStartDate) {
		this.actualStartDate = actualStartDate;
	}
	public String getTeacherCname() {
		return teacherCname;
	}
	public void setTeacherCname(String teacherCname) {
		this.teacherCname = teacherCname;
	}
	public String getParentPKFieldName() {
		return null;
	}
	public String getPKFieldName() {
		return "pk_plan_detail";
	}

	public String getTableName() {
		return "cloud_plan_detail";
	}
}
